Index: src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.h
===================================================================
--- src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.h	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.h	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -56,5 +56,5 @@
 #endif
 
-#if defined(Q_WS_WIN)
+#if defined(Q_OS_WIN32)
 #  if !defined(QT_QTTOOLBARDIALOG_EXPORT) && !defined(QT_QTTOOLBARDIALOG_IMPORT)
 #    define QT_QTTOOLBARDIALOG_EXPORT
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/defaults.h	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -42,9 +42,9 @@
  * \brief Default for "Use native file dialog".
  */
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
 #   define DEF_USE_NATIVE_DIALOGS false
 #else
 #   define DEF_USE_NATIVE_DIALOGS true
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 //! Default for "Save main window state and position"
 #define DEF_SAVEPOS true
@@ -53,5 +53,5 @@
  * \brief Default for "Use translucency effects"
  */
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 #   define DEF_USE_TRANSLUCENCY true
 #else
@@ -102,9 +102,9 @@
  * \brief Default font size
  */
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
 #   define DEF_FONT_SIZE 8
 #else
 #   define DEF_FONT_SIZE 10
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 //! Default solution text color
 #define DEF_TEXT_COLOR QPalette().color(QPalette::Text)
Index: src/globals.h
===================================================================
--- src/globals.h	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/globals.h	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -34,5 +34,5 @@
 #   error You are using Qt version < 4.5 but minimum required version is 4.5.0. Compilation aborted.
 #endif
-#if defined(Q_WS_WINCE_WM) || defined(Q_WS_S60) || defined(Q_WS_MAEMO_5) || defined(Q_WS_SIMULATOR)
+#if defined(Q_OS_WINCE_WM) || defined(Q_OS_SYMBIAN) || defined(Q_WS_MAEMO_5) || defined(Q_WS_SIMULATOR)
     //! This is defined on handheld devices (e.g., Windows Mobile, Symbian).
 #   define HANDHELD
@@ -131,9 +131,9 @@
 inline bool hasUpdater()
 {
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     return QFile::exists("updater/Update.exe");
-#else // Q_WS_WIN32
+#else // Q_OS_WIN32
     return false;
-#endif // Q_WS_WIN32
+#endif // Q_OS_WIN32
 }
 
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/main.cpp	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -41,5 +41,5 @@
 int main(int argc, char *argv[])
 {
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     // Not enough memory for solution graph generation with tasks
     // of 20 and more cities if we use non-raster graphics system.
@@ -61,5 +61,5 @@
     qsrand(QDateTime::currentDateTime().toTime_t() ^ QCursor::pos().x() ^ QCursor::pos().y());
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     // Qt "leaves" unpacked .ttf files after running - let's try to delete them.
 QStringList files = QDir(app.applicationDirPath(), "*.ttf").entryList();
@@ -81,5 +81,5 @@
 
 MainWindow mainwindow;
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     //! \hack HACK: A workaround to hide Actions menu item in Symbian.
 QWidgetList widgets = QApplication::allWidgets();
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/mainwindow.cpp	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -24,5 +24,5 @@
 #include "mainwindow.h"
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 #   include "shobjidl.h"
 #endif
@@ -80,9 +80,9 @@
 #endif // QT_NO_PRINTER
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     currentGeometry = QApplication::desktop()->availableGeometry(0);
     // We need to react to SIP show/hide and resize the window appropriately
     connect(QApplication::desktop(), SIGNAL(workAreaResized(int)), SLOT(desktopResized(int)));
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     connect(actionFileNew, SIGNAL(triggered()), SLOT(actionFileNewTriggered()));
     connect(actionFileOpen, SIGNAL(triggered()), SLOT(actionFileOpenTriggered()));
@@ -453,5 +453,5 @@
 {
 SettingsDialog sd(this);
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     sd.setWindowState(Qt::WindowMaximized);
 #endif
@@ -669,7 +669,7 @@
     hb2->addWidget(bb);
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     vb->setMargin(3);
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     vb->addLayout(hb1);
 #ifdef HANDHELD
@@ -714,5 +714,5 @@
 #ifndef HANDHELD
     dlg->resize(450, 350);
-#elif defined(Q_WS_S60)
+#elif defined(Q_OS_SYMBIAN)
     dlg->setWindowState(Qt::WindowMaximized);
 #endif
@@ -771,5 +771,5 @@
     pd.show();
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 HRESULT hr = CoCreateInstance(CLSID_TaskbarList, NULL, CLSCTX_INPROC_SERVER, IID_ITaskbarList3, (LPVOID*)&tl);
     if (SUCCEEDED(hr)) {
@@ -788,10 +788,10 @@
     connect(&solver, SIGNAL(routePartFound(int)), &pd, SLOT(setValue(int)));
     connect(&pd, SIGNAL(canceled()), &solver, SLOT(cancel()));
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         connect(&solver, SIGNAL(routePartFound(int)), SLOT(solverRoutePartFound(int)));
 #endif
 SStep *root = solver.solve(n, matrix);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         disconnect(&solver, SIGNAL(routePartFound(int)), this, SLOT(solverRoutePartFound(int)));
@@ -802,5 +802,5 @@
         pd.reset();
         if (!solver.wasCanceled()) {
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
             if (tl != NULL) {
                 tl->SetProgressState(winId(), TBPF_ERROR);
@@ -814,5 +814,5 @@
         pd.setCancelButton(NULL);
         pd.show();
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
         if (tl != NULL)
             tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -829,5 +829,5 @@
 #endif
         pd.reset();
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
         if (tl != NULL) {
             tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -843,5 +843,5 @@
     pd.setValue(0);
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         tl->SetProgressValue(winId(), spinCities->value(), spinCities->value() + solver.getTotalSteps() + 1);
@@ -860,5 +860,5 @@
         // Font size in pixels = graph node radius / 2.75.
         // See MainWindow::drawNode() for graph node radius calcualtion description.
-#ifndef Q_WS_S60
+#ifndef Q_OS_SYMBIAN
         font.setPixelSize(logicalDpiX() * (settings->value("Output/GraphWidth", DEF_GRAPH_WIDTH).toReal() / CM_IN_INCH) / 4.5 / 2.75);
 #else
@@ -913,5 +913,5 @@
             pd.show();
             QCoreApplication::processEvents(QEventLoop::ExcludeUserInputEvents);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
             if (tl != NULL)
                 tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -927,5 +927,5 @@
             solutionText->clear();
             toggleSolutionActions(false);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
             if (tl != NULL) {
                 tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -937,5 +937,5 @@
         }
         pd.setValue(n);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
         if (tl != NULL)
             tl->SetProgressValue(winId(), spinCities->value() + n, spinCities->value() + solver.getTotalSteps() + 1);
@@ -984,5 +984,5 @@
     pb->setFormat(tr("Generating footer"));
     pd.setValue(n);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         tl->SetProgressValue(winId(), spinCities->value() + n, spinCities->value() + solver.getTotalSteps() + 1);
@@ -1047,5 +1047,5 @@
     pd.setCancelButton(NULL);
     QCoreApplication::processEvents(QEventLoop::ExcludeUserInputEvents);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -1061,5 +1061,5 @@
     toggleSolutionActions();
     tabWidget->setCurrentIndex(1);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL) {
         tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -1089,5 +1089,5 @@
 }
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
 void MainWindow::changeEvent(QEvent *ev)
 {
@@ -1122,5 +1122,5 @@
     }
 }
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
 void MainWindow::numCitiesChanged(int nCities)
@@ -1138,10 +1138,10 @@
 #endif // QT_NO_PRINTER
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 void MainWindow::solverRoutePartFound(int n)
 {
     tl->SetProgressValue(winId(), n, spinCities->value() * 2);
 }
-#endif // Q_WS_WIN32
+#endif // Q_OS_WIN32
 
 void MainWindow::spinCitiesValueChanged(int n)
@@ -1160,5 +1160,5 @@
 void MainWindow::check4Updates(bool silent)
 {
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (silent)
         QProcess::startDetached("updater/Update.exe -name=\"TSPSG: TSP Solver and Generator\" -check=\"freeupdate\" -silentcheck");
@@ -1221,5 +1221,5 @@
     if (settings->value("Output/HQGraph", DEF_HQ_GRAPH).toBool())
         r *= HQ_FACTOR;
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     /*! \hack HACK: Solution graph on Symbian is visually larger than on
      *   Windows Mobile. This coefficient makes it about the same size.
@@ -1372,5 +1372,5 @@
         hilight.setHsv(color.hue(), color.saturation(), color.value() / 2);
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     /*!
      * \hack HACK: Fixing some weird behavior with default Symbian theme
@@ -1381,5 +1381,5 @@
     solutionText->document()->setDefaultStyleSheet(QString("* {color: %1;}").arg(color.name()));
     fmt_default.setForeground(QBrush(color));
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     }
 #endif
@@ -1549,5 +1549,5 @@
     if (!isWindowModified())
         return true;
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     int res = QSMessageBox(this).exec();
 #else
@@ -1611,5 +1611,5 @@
 }
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
 void MainWindow::resizeEvent(QResizeEvent *ev)
 {
@@ -1631,5 +1631,5 @@
     QWidget::resizeEvent(ev);
 }
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 
 void MainWindow::retranslateUi(bool all)
@@ -1692,5 +1692,5 @@
 #endif // QT_NO_STATUSTIP
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     actionRightSoftKey->setText(tr("E&xit"));
 #endif
@@ -1739,7 +1739,7 @@
     Ui_MainWindow::setupUi(this);
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     setWindowFlags(windowFlags() | Qt::WindowSoftkeysVisibleHint);
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 
     // File Menu
@@ -1793,5 +1793,5 @@
 #endif // HANDHELD
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     menuBar()->setDefaultAction(menuFile->menuAction());
 
@@ -1804,13 +1804,13 @@
 #else
     setCentralWidget(tabWidget);
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
     //! \hack HACK: A little hack for toolbar icons to have a sane size.
 #if defined(HANDHELD) && !defined(Q_WS_MAEMO_5)
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     toolBarMain->setIconSize(QSize(logicalDpiX() / 5.2, logicalDpiY() / 5.2));
 #else
     toolBarMain->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 #endif // HANDHELD && !Q_WS_MAEMO_5
 QToolButton *tb = static_cast<QToolButton *>(toolBarMain->widgetForAction(actionFileSave));
@@ -1898,5 +1898,5 @@
 #endif // HANDHELD
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     // Replace Exit on the right soft key with our own exit action.
     // This makes it translatable.
@@ -1951,5 +1951,5 @@
 }
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
 QSMessageBox::QSMessageBox(QWidget *parent)
     : QMessageBox(parent)
@@ -1979,3 +1979,3 @@
     done(QMessageBox::Discard);
 }
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/mainwindow.h	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -36,5 +36,5 @@
 #include "tspmodel.h"
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     // Forward declaration. A real one is in shobjidl.h
     struct ITaskbarList3;
@@ -86,15 +86,15 @@
     void dataChanged();
     void dataChanged(const QModelIndex &tl, const QModelIndex &br);
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     void changeEvent(QEvent *ev);
     void desktopResized(int screen);
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     void numCitiesChanged(int nCities);
 #ifndef QT_NO_PRINTER
     void printPreview(QPrinter *printer);
 #endif // QT_NO_PRINTER
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     void solverRoutePartFound(int n);
-#endif // Q_WS_WIN32
+#endif // Q_OS_WIN32
     void spinCitiesValueChanged(int nCities);
 
@@ -114,16 +114,16 @@
 #endif // QT_NO_PRINTER
     QAction *actionHelpCheck4Updates;
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     QAction *actionRightSoftKey;
 #endif
     QSettings *settings;
     CTSPModel *tspmodel;
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     QRect currentGeometry;
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     ITaskbarList3 *tl;
-#endif // Q_WS_WIN32
+#endif // Q_OS_WIN32
 
     // The solution graph SVG
@@ -154,7 +154,7 @@
     void outputMatrix(QTextCursor &cur, const TMatrix &matrix);
     void outputMatrix(QTextCursor &cur, const SStep &step);
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     void resizeEvent(QResizeEvent *ev);
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
     void retranslateUi(bool all = true);
     bool saveTask();
@@ -165,5 +165,5 @@
 };
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
 // A quickly hacked QMessageBox for Symbian that supports three buttons.
 class QSMessageBox: public QMessageBox {
@@ -175,5 +175,5 @@
     QSMessageBox(QWidget *parent = 0);
 };
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 
 #endif // MAINWINDOW_H
Index: src/qtwin.cpp
===================================================================
--- src/qtwin.cpp	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/qtwin.cpp	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -19,5 +19,5 @@
 #endif // Q_WS_X11
 
-#ifdef Q_WS_WIN
+#ifdef Q_OS_WIN32
 
 #include <qt_windows.h>
@@ -99,5 +99,5 @@
 bool QtWin::isCompositionEnabled()
 {
-#ifdef Q_WS_WIN
+#ifdef Q_OS_WIN32
     if (resolveLibs()) {
         HRESULT hr = S_OK;
@@ -124,8 +124,6 @@
 {
     Q_ASSERT(widget);
-    Q_UNUSED(widget);
-    Q_UNUSED(enable);
     bool result = false;
-#ifdef Q_WS_WIN
+#ifdef Q_OS_WIN32
     if (resolveLibs()) {
         DWM_BLURBEHIND bb = {0};
@@ -137,6 +135,6 @@
         widget->setAttribute(Qt::WA_TranslucentBackground, enable);
         widget->setAttribute(Qt::WA_NoSystemBackground, enable);
-#ifdef Q_WS_WIN
-        hr = pDwmEnableBlurBehindWindow(widget->winId(), &bb);
+#ifdef Q_OS_WIN32
+        hr = pDwmEnableBlurBehindWindow(HWND(widget->winId()), &bb);
         if (SUCCEEDED(hr)) {
             result = true;
@@ -171,10 +169,10 @@
 
     bool result = false;
-#ifdef Q_WS_WIN
+#ifdef Q_OS_WIN32
     if (resolveLibs()) {
         QLibrary dwmLib(QString::fromAscii("dwmapi"));
         HRESULT hr = S_OK;
         MARGINS m = {left, top, right, bottom};
-        hr = pDwmExtendFrameIntoClientArea(widget->winId(), &m);
+        hr = pDwmExtendFrameIntoClientArea(HWND(widget->winId()), &m);
         if (SUCCEEDED(hr)) {
             result = true;
@@ -196,5 +194,5 @@
     QColor resultColor = QApplication::palette().window().color();
 
-#ifdef Q_WS_WIN
+#ifdef Q_OS_WIN32
     if (resolveLibs()) {
         DWORD color = 0;
@@ -210,5 +208,5 @@
 }
 
-#ifdef Q_WS_WIN
+#ifdef Q_OS_WIN32
 WindowNotifier *QtWin::windowNotifier()
 {
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/settingsdialog.cpp	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -128,5 +128,5 @@
     bgWhite->layout()->setMargin(0);
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     // On Symbian buttons are moved to a native bar so Help button is
     // left alone. This causes it to be more to the middle instead of
@@ -217,8 +217,8 @@
 #endif // HANDHELD
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     // We need to react to SIP show/hide and resize the window appropriately
     connect(QApplication::desktop(), SIGNAL(workAreaResized(int)), SLOT(desktopResized(int)));
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     connect(spinRandMin, SIGNAL(valueChanged(int)), SLOT(spinRandMinValueChanged(int)));
     connect(buttonFont, SIGNAL(clicked()), SLOT(buttonFontClicked()));
@@ -325,5 +325,5 @@
 #else
     adjustSize();
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 }
 
@@ -512,5 +512,5 @@
 }
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
 void SettingsDialog::desktopResized(int screen)
 {
@@ -544,5 +544,5 @@
     QWidget::showEvent(ev);
 }
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
 void SettingsDialog::spinRandMinValueChanged(int val) {
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/settingsdialog.h	(revision 89e52146923a67f871a909e269d8b825c326a4a6)
@@ -64,5 +64,5 @@
     QCheckBox *cbHQGraph;
 #endif
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     QRect currentGeometry;
 #elif !defined(HANDHELD)
@@ -75,5 +75,5 @@
     bool event(QEvent *ev);
 #endif // QT_NO_STATUSTIP
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
     void pickColor(QColor &where);
@@ -88,8 +88,8 @@
 //    void buttonBgColorClicked();
     void buttonFontClicked();
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     void desktopResized(int screen);
     void showEvent(QShowEvent *ev);
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     void spinRandMinValueChanged(int val);
 };