Index: trunk/ui/mainwindow.ui
===================================================================
--- trunk/ui/mainwindow.ui	(revision 87)
+++ trunk/ui/mainwindow.ui	(revision 92)
@@ -4,12 +4,4 @@
  <class>MainWindow</class>
  <widget class="QMainWindow" name="MainWindow">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>297</width>
-    <height>353</height>
-   </rect>
-  </property>
   <property name="windowTitle">
    <string>Travelling Salesman Problem</string>
@@ -17,325 +9,306 @@
   <property name="windowIcon">
    <iconset resource="../resources/tspsg.qrc">
-    <normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
+	<normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
   </property>
-  <widget class="QWidget" name="centralwidget">
-   <widget class="QTabWidget" name="tabWidget">
-    <property name="geometry">
-     <rect>
-      <x>0</x>
-      <y>0</y>
-      <width>287</width>
-      <height>298</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="tabPosition">
-     <enum>QTabWidget::North</enum>
-    </property>
-    <property name="currentIndex">
-     <number>0</number>
-    </property>
-    <widget class="QWidget" name="tabTask">
-     <attribute name="title">
-      <string>Task</string>
-     </attribute>
-     <layout class="QVBoxLayout">
-      <item>
-       <layout class="QHBoxLayout">
-        <item>
-         <spacer>
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="QLabel" name="labelVariant">
-          <property name="text">
-           <string>&amp;Variant:</string>
-          </property>
-          <property name="buddy">
-           <cstring>spinVariant</cstring>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QSpinBox" name="spinVariant">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Number of variant</string>
-          </property>
-          <property name="minimum">
-           <number>1</number>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QLabel" name="labelCities">
-          <property name="text">
-           <string>&amp;Cities:</string>
-          </property>
-          <property name="buddy">
-           <cstring>spinCities</cstring>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QSpinBox" name="spinCities">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Number of cities</string>
-          </property>
-          <property name="minimum">
-           <number>3</number>
-          </property>
-          <property name="value">
-           <number>5</number>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <spacer>
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-       </layout>
-      </item>
-      <item>
-       <widget class="QTableView" name="taskView">
-        <property name="statusTip">
-         <string>Cost of travel from city to city</string>
-        </property>
-        <property name="selectionMode">
-         <enum>QAbstractItemView::NoSelection</enum>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <layout class="QHBoxLayout">
-        <item>
-         <spacer>
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="QPushButton" name="buttonRandom">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Fill table with random numbers</string>
-          </property>
-          <property name="text">
-           <string>Random</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QPushButton" name="buttonSolve">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Solve current task</string>
-          </property>
-          <property name="text">
-           <string>Solve</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-    <widget class="QWidget" name="tabSolution">
-     <attribute name="title">
-      <string>Solution</string>
-     </attribute>
-     <layout class="QVBoxLayout" name="verticalLayout">
-      <item>
-       <widget class="QTextEdit" name="solutionText">
-        <property name="enabled">
-         <bool>false</bool>
-        </property>
-        <property name="statusTip">
-         <string>Solution steps</string>
-        </property>
-        <property name="readOnly">
-         <bool>true</bool>
-        </property>
-        <property name="textInteractionFlags">
-         <set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <layout class="QHBoxLayout" name="horizontalLayout">
-        <item>
-         <widget class="QPushButton" name="buttonSaveSolution">
-          <property name="enabled">
-           <bool>false</bool>
-          </property>
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Save solution to a file</string>
-          </property>
-          <property name="text">
-           <string>Save Solution</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <spacer name="horizontalSpacer">
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="QPushButton" name="buttonBackToTask">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Go back to Task tab</string>
-          </property>
-          <property name="text">
-           <string>Back to Task</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
+  <widget class="QTabWidget" name="tabWidget">
+   <property name="tabPosition">
+	<enum>QTabWidget::North</enum>
+   </property>
+   <widget class="QWidget" name="tabTask">
+	<attribute name="title">
+	 <string>Task</string>
+	</attribute>
+	<layout class="QVBoxLayout" name="_2">
+	 <item>
+	  <layout class="QHBoxLayout">
+	   <item>
+		<spacer>
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QLabel" name="labelVariant">
+		 <property name="text">
+		  <string>&amp;Variant:</string>
+		 </property>
+		 <property name="buddy">
+		  <cstring>spinVariant</cstring>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QSpinBox" name="spinVariant">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Number of variant</string>
+		 </property>
+		 <property name="minimum">
+		  <number>1</number>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QLabel" name="labelCities">
+		 <property name="text">
+		  <string>&amp;Cities:</string>
+		 </property>
+		 <property name="buddy">
+		  <cstring>spinCities</cstring>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QSpinBox" name="spinCities">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Number of cities</string>
+		 </property>
+		 <property name="minimum">
+		  <number>3</number>
+		 </property>
+		 <property name="value">
+		  <number>5</number>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<spacer>
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	  </layout>
+	 </item>
+	 <item>
+	  <widget class="QTableView" name="taskView">
+	   <property name="statusTip">
+		<string>Cost of travel from city to city</string>
+	   </property>
+	   <property name="selectionMode">
+		<enum>QAbstractItemView::NoSelection</enum>
+	   </property>
+	  </widget>
+	 </item>
+	 <item>
+	  <layout class="QHBoxLayout">
+	   <item>
+		<spacer>
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonRandom">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Fill table with random numbers</string>
+		 </property>
+		 <property name="text">
+		  <string>Random</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonSolve">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Solve current task</string>
+		 </property>
+		 <property name="text">
+		  <string>Solve</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	  </layout>
+	 </item>
+	</layout>
+   </widget>
+   <widget class="QWidget" name="tabSolution">
+	<attribute name="title">
+	 <string>Solution</string>
+	</attribute>
+	<layout class="QVBoxLayout" name="_3">
+	 <item>
+	  <widget class="QTextEdit" name="solutionText">
+	   <property name="enabled">
+		<bool>false</bool>
+	   </property>
+	   <property name="statusTip">
+		<string>Solution steps</string>
+	   </property>
+	   <property name="readOnly">
+		<bool>true</bool>
+	   </property>
+	   <property name="textInteractionFlags">
+		<set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
+	   </property>
+	  </widget>
+	 </item>
+	 <item>
+	  <layout class="QHBoxLayout" name="horizontalLayout">
+	   <item>
+		<widget class="QPushButton" name="buttonSaveSolution">
+		 <property name="enabled">
+		  <bool>false</bool>
+		 </property>
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Save solution to a file</string>
+		 </property>
+		 <property name="text">
+		  <string>Save Solution</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<spacer name="horizontalSpacer">
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonBackToTask">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Go back to Task tab</string>
+		 </property>
+		 <property name="text">
+		  <string>Back to Task</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	  </layout>
+	 </item>
+	</layout>
    </widget>
   </widget>
   <widget class="QMenuBar" name="menubar">
    <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>297</width>
-     <height>21</height>
-    </rect>
+	<rect>
+	 <x>0</x>
+	 <y>0</y>
+	 <width>287</width>
+	 <height>21</height>
+	</rect>
    </property>
    <widget class="QMenu" name="menuFile">
-    <property name="windowIcon">
-     <iconset>
-      <normaloff/>
-     </iconset>
-    </property>
-    <property name="title">
-     <string>&amp;File</string>
-    </property>
-    <widget class="QMenu" name="menuFileSaveAs">
-     <property name="title">
-      <string>Save &amp;As</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
-     </property>
-     <addaction name="actionFileSaveAsTask"/>
-     <addaction name="actionFileSaveAsSolution"/>
-    </widget>
-    <addaction name="actionFileNew"/>
-    <addaction name="actionFileOpen"/>
-    <addaction name="actionFileSave"/>
-    <addaction name="menuFileSaveAs"/>
-    <addaction name="separator"/>
-    <addaction name="actionFileExit"/>
+	<property name="windowIcon">
+	 <iconset>
+	  <normaloff/>
+	 </iconset>
+	</property>
+	<property name="title">
+	 <string>&amp;File</string>
+	</property>
+	<widget class="QMenu" name="menuFileSaveAs">
+	 <property name="title">
+	  <string>Save &amp;As</string>
+	 </property>
+	 <property name="icon">
+	  <iconset resource="../resources/tspsg.qrc">
+	   <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+	 </property>
+	 <addaction name="actionFileSaveAsTask"/>
+	 <addaction name="actionFileSaveAsSolution"/>
+	</widget>
+	<addaction name="actionFileNew"/>
+	<addaction name="actionFileOpen"/>
+	<addaction name="actionFileSave"/>
+	<addaction name="menuFileSaveAs"/>
+	<addaction name="separator"/>
+	<addaction name="actionFileExit"/>
    </widget>
    <widget class="QMenu" name="menuSettings">
-    <property name="title">
-     <string>&amp;Settings</string>
-    </property>
-    <widget class="QMenu" name="menuSettingsLanguage">
-     <property name="toolTip">
-      <string>Select language</string>
-     </property>
-     <property name="statusTip">
-      <string>Select application language</string>
-     </property>
-     <property name="title">
-      <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
-     </property>
-     <addaction name="actionSettingsLanguageAutodetect"/>
-     <addaction name="separator"/>
-     <addaction name="actionSettingsLanguageEnglish"/>
-    </widget>
-    <addaction name="menuSettingsLanguage"/>
-    <addaction name="separator"/>
-    <addaction name="actionSettingsPreferences"/>
+	<property name="title">
+	 <string>&amp;Settings</string>
+	</property>
+	<widget class="QMenu" name="menuSettingsLanguage">
+	 <property name="toolTip">
+	  <string>Select language</string>
+	 </property>
+	 <property name="statusTip">
+	  <string>Select application language</string>
+	 </property>
+	 <property name="title">
+	  <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
+	 </property>
+	 <property name="icon">
+	  <iconset resource="../resources/tspsg.qrc">
+	   <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
+	 </property>
+	 <addaction name="actionSettingsLanguageAutodetect"/>
+	 <addaction name="separator"/>
+	 <addaction name="actionSettingsLanguageEnglish"/>
+	</widget>
+	<addaction name="menuSettingsLanguage"/>
+	<addaction name="separator"/>
+	<addaction name="actionSettingsPreferences"/>
    </widget>
    <widget class="QMenu" name="menuHelp">
-    <property name="title">
-     <string>&amp;Help</string>
-    </property>
-    <addaction name="actionHelpContents"/>
-    <addaction name="actionHelpContextual"/>
-    <addaction name="separator"/>
-    <addaction name="actionHelpAboutQt"/>
-    <addaction name="actionHelpAbout"/>
+	<property name="title">
+	 <string>&amp;Help</string>
+	</property>
+	<addaction name="actionHelpContents"/>
+	<addaction name="actionHelpContextual"/>
+	<addaction name="separator"/>
+	<addaction name="actionHelpAboutQt"/>
+	<addaction name="actionHelpAbout"/>
    </widget>
    <addaction name="menuFile"/>
@@ -345,14 +318,14 @@
   <widget class="QToolBar" name="toolBar">
    <property name="cursor">
-    <cursorShape>ArrowCursor</cursorShape>
+	<cursorShape>ArrowCursor</cursorShape>
    </property>
    <property name="windowTitle">
-    <string>Toolbar</string>
+	<string>Toolbar</string>
    </property>
    <attribute name="toolBarArea">
-    <enum>TopToolBarArea</enum>
+	<enum>TopToolBarArea</enum>
    </attribute>
    <attribute name="toolBarBreak">
-    <bool>false</bool>
+	<bool>false</bool>
    </attribute>
    <addaction name="actionFileNew"/>
@@ -366,194 +339,194 @@
   <action name="actionFileSaveAsSolution">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Solution...</string>
+	<bool>false</bool>
+   </property>
+   <property name="text">
+	<string>&amp;Solution...</string>
    </property>
    <property name="toolTip">
-    <string>Save solution</string>
-   </property>
-   <property name="statusTip">
-    <string>Save solution to a file</string>
+	<string>Save solution</string>
+   </property>
+   <property name="statusTip">
+	<string>Save solution to a file</string>
    </property>
   </action>
   <action name="actionFileNew">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;New</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;New</string>
    </property>
    <property name="toolTip">
-    <string>New task</string>
-   </property>
-   <property name="statusTip">
-    <string>Create new task</string>
+	<string>New task</string>
+   </property>
+   <property name="statusTip">
+	<string>Create new task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+N</string>
+	<string>Ctrl+N</string>
    </property>
   </action>
   <action name="actionFileOpen">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Open...</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Open...</string>
    </property>
    <property name="toolTip">
-    <string>Open task</string>
-   </property>
-   <property name="statusTip">
-    <string>Open saved task</string>
+	<string>Open task</string>
+   </property>
+   <property name="statusTip">
+	<string>Open saved task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+O</string>
+	<string>Ctrl+O</string>
    </property>
   </action>
   <action name="actionSettingsPreferences">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Preferences...</string>
-   </property>
-   <property name="statusTip">
-    <string>Application preferences</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Preferences...</string>
+   </property>
+   <property name="statusTip">
+	<string>Application preferences</string>
    </property>
   </action>
   <action name="actionHelpContents">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Contents</string>
-   </property>
-   <property name="statusTip">
-    <string>Open help contents</string>
+	<bool>false</bool>
+   </property>
+   <property name="icon">
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Contents</string>
+   </property>
+   <property name="statusTip">
+	<string>Open help contents</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+F1</string>
+	<string>Ctrl+F1</string>
    </property>
   </action>
   <action name="actionHelpContextual">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
-   </property>
-   <property name="text">
-    <string>Context &amp;Help</string>
-   </property>
-   <property name="statusTip">
-    <string>Open context help</string>
+	<bool>false</bool>
+   </property>
+   <property name="icon">
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+   </property>
+   <property name="text">
+	<string>Context &amp;Help</string>
+   </property>
+   <property name="statusTip">
+	<string>Open context help</string>
    </property>
    <property name="shortcut">
-    <string>F1</string>
+	<string>F1</string>
    </property>
   </action>
   <action name="actionHelpAbout">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;About TSPSG...</string>
-   </property>
-   <property name="statusTip">
-    <string>About application</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;About TSPSG...</string>
+   </property>
+   <property name="statusTip">
+	<string>About application</string>
    </property>
   </action>
   <action name="actionFileExit">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
-   </property>
-   <property name="text">
-    <string>E&amp;xit</string>
-   </property>
-   <property name="statusTip">
-    <string>Exit application</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
+   </property>
+   <property name="text">
+	<string>E&amp;xit</string>
+   </property>
+   <property name="statusTip">
+	<string>Exit application</string>
    </property>
   </action>
   <action name="actionFileSaveAsTask">
    <property name="text">
-    <string>&amp;Task...</string>
+	<string>&amp;Task...</string>
    </property>
    <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save task to file</string>
+	<string>Save task</string>
+   </property>
+   <property name="statusTip">
+	<string>Save task to file</string>
    </property>
   </action>
   <action name="actionSettingsLanguageAutodetect">
    <property name="checkable">
-    <bool>true</bool>
+	<bool>true</bool>
    </property>
    <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Autodetect</string>
+	<bool>true</bool>
+   </property>
+   <property name="text">
+	<string>&amp;Autodetect</string>
    </property>
    <property name="toolTip">
-    <string>Detect language automatically</string>
-   </property>
-   <property name="statusTip">
-    <string>Detect language automatically based on regional settings</string>
+	<string>Detect language automatically</string>
+   </property>
+   <property name="statusTip">
+	<string>Detect language automatically based on regional settings</string>
    </property>
   </action>
   <action name="actionSettingsLanguageEnglish">
    <property name="checkable">
-    <bool>true</bool>
+	<bool>true</bool>
    </property>
    <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string notr="true">&amp;English</string>
+	<bool>true</bool>
+   </property>
+   <property name="text">
+	<string notr="true">&amp;English</string>
    </property>
    <property name="iconText">
-    <string notr="true">English</string>
+	<string notr="true">English</string>
    </property>
   </action>
   <action name="actionFileSave">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Save</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Save</string>
    </property>
    <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save current task</string>
+	<string>Save task</string>
+   </property>
+   <property name="statusTip">
+	<string>Save current task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+S</string>
+	<string>Ctrl+S</string>
    </property>
   </action>
   <action name="actionHelpAboutQt">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
-   </property>
-   <property name="text">
-    <string>About &amp;Qt...</string>
-   </property>
-   <property name="statusTip">
-    <string>About Qt library</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
+   </property>
+   <property name="text">
+	<string>About &amp;Qt...</string>
+   </property>
+   <property name="statusTip">
+	<string>About Qt library</string>
    </property>
   </action>
@@ -569,12 +542,12 @@
    <slot>close()</slot>
    <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>294</x>
-     <y>229</y>
-    </hint>
+	<hint type="sourcelabel">
+	 <x>-1</x>
+	 <y>-1</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>294</x>
+	 <y>229</y>
+	</hint>
    </hints>
   </connection>
@@ -585,12 +558,12 @@
    <slot>trigger()</slot>
    <hints>
-    <hint type="sourcelabel">
-     <x>58</x>
-     <y>327</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
+	<hint type="sourcelabel">
+	 <x>58</x>
+	 <y>327</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>-1</x>
+	 <y>-1</y>
+	</hint>
    </hints>
   </connection>